{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.desktop.gnome;
in {
  options.modules.desktop.gnome = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    services.xserver = {
      enable = true;
      displayManager.gdm.enable = true;
      desktopManager.gnome.enable = true;
    };

    fonts.fonts = with pkgs; [
      noto-fonts
      ubuntu_font_family
    ];

    environment.systemPackages = with pkgs; [
      bind
      bmon
      fd
      ffmpeg
      iotop
      ripgrep
      rsync
      tcpdump
      tokei
      tree
      wl-clipboard
    ];
  };
}